var flight = {
    rotate: 0,
    climb: 0,
    forward: 0,
    pitch: 0
};
function keyDown(e) {
    switch(e.keyCode){
        case 37: // left arrow
            flight.rotate = 1;
            break;
        case 39: // right arrow
        flight.rotate = -1;
            break;
        case 38: // up
            flight.forward = 3;
            break;
        case 40: //down
            flight.forward = -3;
            break;
        case 82: // (r)ise
            flight.climb = 2;
            break;
        case 70: // (f)all
            flight.climb = -2;
            break;
        case 69: // e pitch up
            flight.pitch = 1;
            break;
        case 81: // q pitch down
            flight.pitch = -1;
            break;
    }
}
function keyUp(e) {
    switch(e.keyCode){
        case 37:
        case 39:
            flight.rotate = 0;
            break;
        case 38:
        case 40:
            flight.forward = 0;
            break;
        case 70:
        case 82:
            flight.climb = 0;
            break;
        case 69:
        case 81:
            flight.pitch = 0;
            break;
    }
}
function findPointOnCircle(originX, originY, radius, angleRadians) {
    let circX = radius * Math.cos(angleRadians) + originX;
    let circY = radius * Math.sin(angleRadians) + originY;
    return {x: circX, y: circY};
}
function drawDials(){
    GpsMap.draw();
    Heading.draw();
    Altitude.draw();
    Pitch.draw();
    FlightData.draw();
}
function initDials(){
    GpsMap.init();
    Heading.init();
    Pitch.init();
    Altitude.init();
    FlightData.init();
}
function reDraw(){
    Camera.setAngle();
    Viewer.renderView();
    drawDials();
    window.requestAnimationFrame(reDraw);
}
function initialise() {
    window.addEventListener("keydown", function(e){keyDown(e);});
    window.addEventListener("keyup", function(e){keyUp(e);});
    Viewer.init("cvView");
    initDials();
    ImgMap.load(["images/C1W.png", "images/D1.png"]);
}
initialise();